Module jdk.jlink
Package jdk.tools.jlink.builder

## Interface ImageBuilder

All Known Implementing Classes:
  DefaultImageBuilder

    public interface ImageBuilder

Implement this interface to develop your own image layout. First the jimage is written onto the output stream returned by getOutputStream then storeFiles is called.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`ExecutableImage` `getExecutableImage()` Gets the executable image that is generated.
`DataOutputStream` `getJImageOutputStream()` The OutputStream to store the jimage file.
`default void` `storeFiles(Pool content, String bom)` Store the external files.
`default void` `storeFiles(Pool content, String bom, Properties release)` Store the external files.

### Method Detail

#### storeFiles

    default void storeFiles(Pool content,
                            String bom,
                            Properties release)

Store the external files.

Parameters:
  `content` - Pool of module content.
  `bom` - The options used to build the image file.
  `release` - the release properties
Throws:
  `PluginException`

#### storeFiles

    default void storeFiles(Pool content,
                            String bom)

Store the external files.

Parameters:
  `content` - Pool of module content.
  `bom` - The options used to build the image file.
Throws:
  `PluginException`

#### getJImageOutputStream

    DataOutputStream getJImageOutputStream()

The OutputStream to store the jimage file.

Returns:
  The output stream
Throws:
  `PluginException`

#### getExecutableImage

    ExecutableImage getExecutableImage()

Gets the executable image that is generated.

Returns:
  The executable image.
Throws:
  `PluginException`